<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="presenter"
            type="org.dhis2.usescases.sync.SyncPresenter" />

    </data>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/logo"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="?colorPrimary">


        <ImageView
            android:id="@+id/dhisLogo"
            android:layout_width="0dp"
            android:layout_height="80dp"
            android:layout_centerInParent="true"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="20dp"
            android:layout_marginStart="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/mhbs_logo" />

        <ImageView
            android:id="@+id/logo_flag"
            android:layout_width="wrap_content"
            android:layout_height="80dp"
            android:layout_marginTop="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/sierra_leone"
            android:visibility="gone"/>

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lottieView"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="8dp"
            app:layout_constraintBottom_toTopOf="@+id/sync_layout"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/logo_flag"
            app:lottie_autoPlay="false"
            app:lottie_loop="true"
            app:lottie_rawRes="@raw/lottie_world" />

        <LinearLayout
            android:id="@+id/sync_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent">

            <TextView
                android:id="@+id/metadataText"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_margin="5dp"
                android:gravity="center_vertical"
                android:text="@string/syncing_configuration"
                android:textColor="@color/colorAccent"
                android:textSize="11sp"
                tools:drawableEnd="@drawable/animator_sync" />

            <TextView
                android:id="@+id/eventsText"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_margin="5dp"
                android:alpha=".3"
                android:gravity="center_vertical"
                android:text="@string/syncing_data_shortly"
                android:textColor="@color/colorAccent"
                android:textSize="11sp" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>